Module | Ramaze::Logging
In: | lib/ramaze/log/logging.rb

This module provides a basic skeleton for your own loggers to be compatible. The minimal usage is like this:

      class MyLogger
        include Logging

        def log(tag, *args)
          p tag => args
        end
      end

### Methods

<< debug debug? dev error info shutdown tag_log warn

### Public Instance methods

<<(*objects)

Alias for debug

debug(*objects)

inspects objects if they are no strings. Tag is :debug

debug?()

stub for WEBrick

dev(*objects)

inspects objects if they are no strings. Tag is :dev

error(ex)

Takes either an Exception or just a String, formats backtraces to be a bit more readable and passes all of this on to tag_log :error

info(*objects)

Converts everything given to strings and passes them on with :info

shutdown()

nothing

tag_log(tag, meth, *msgs)

Takes the tag (:warn|:debug|:error|:info) and the name of a method to be called upon elements of msgs that don‘t respond to :to_str Goes on and sends the tag and transformed messages each to the log method. If you include this module you have to define log or it will raise.

warn(*objects)

Converts everything given to strings and passes them on with :warn

[Validate]